<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary" (click)="buscar()" [disabled]="ngForm.invalid" *ngIf="ngForm.value.iInt8 != 0">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
  <button *ngFor="let item of dataRes; let i = index" class="btn btn-success ml-2" (click)="excel(i)">
    <i class="fas fa-file-excel mr-2"></i>{{item.BotonExcel}}
  </button>

</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm" *ngIf="!loading">
      <div class="row row d-flex justify-content-between">
        <div class="col-12 col-sm-4 col-md-4 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Acumulado</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="mes" class="k-radio"
          [checked]="true">
          <label class="k-radio-label mr-2" for="mes">Mes</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="ano" class="k-radio">
          <label class="k-radio-label mr-2" for="ano">Año</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="3" id="peri" class="k-radio">
          <label class="k-radio-label" for="peri">Rango</label>
        </div>

        <div class="col-12 col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group" *ngIf="ngForm.value.iInt1 != 3">
          <label class="font-weight-bold">Día</label>
          <kendo-datepicker formControlName="fFec1" [format]="kendoFormat">
          </kendo-datepicker>
        </div>
        <ng-container *ngIf="ngForm.value.iInt1 == 3">
          <div class="col-12 col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
            <label class="font-weight-bold">Desde</label>
            <kendo-datepicker formControlName="fFec1" [format]="kendoFormat">
            </kendo-datepicker>
          </div>
          <div class="col-12 col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
            <label class="font-weight-bold">Hasta</label>
            <kendo-datepicker formControlName="fFec2" [format]="kendoFormat" [min]="ngForm.value.fFec1">
            </kendo-datepicker>
          </div>
        </ng-container>

        <div class="col-12 col-sm-4 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Reporte</label>
          <kendo-dropdownlist [data]="listReporte" [textField]="'name'" [valueField]="'value'"
            [(ngModel)]="selectedReporte" [ngModelOptions]="{standalone: true}" (valueChange)="reporteChange($event)">
          </kendo-dropdownlist>
        </div>
        <div class="col-12 col-sm-4 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Ordenado</label>
          <kendo-dropdownlist [data]="listOrdenado" [textField]="'name'" [valueField]="'value'"
            [(ngModel)]="selectedOrdenado" [ngModelOptions]="{standalone: true}">
          </kendo-dropdownlist>
        </div>
      </div>
      <div class="row d-flex justify-content-between">
        <div class="col-6 col-sm-3 col-md-3 col-lg-3 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="1" id="agencia" class="k-radio"
            (change)="changeOption($event)" [checked]="true">
          <label class="k-radio-label mr-2 w-100" for="agencia">Agencia</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="2" id="subagencia" class="k-radio"
            (change)="changeOption($event)">
          <label class="k-radio-label mr-2 w-100" for="subagencia">Subagencia</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="3" id="empresa" class="k-radio"
            (change)="changeOption($event)">
          <label class="k-radio-label mr-2 w-100" for="empresa">Agencia y Subagencia</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="4" id="segmento" class="k-radio"
            (change)="changeOption($event)">
          <label class="k-radio-label mr-2 w-100" for="segmento">Subagencia y Agencia</label>
          <div class="input-group mt-2">
            <input type="text" class="form-control" formControlName="cChr1">
            <div class="input-group-append">
              <button class="btn btn-info" (click)="openModal(modal, typeModal)">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>

        <div class="col-6 col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Incluir en Estadística</label>
          <input type="checkbox" id="cortesias" class="k-checkbox" [checked]="" formControlName="lLog1">
          <label class="k-checkbox-label w-100" for="cortesias">Cortesías</label>
          <input type="checkbox" id="usoCasa" class="k-checkbox" [checked]="" formControlName="lLog2">
          <label class="k-checkbox-label w-100" for="usoCasa">Usos Casa</label>
          <input type="checkbox" id="tiempoComp" class="k-checkbox" [checked]="" formControlName="lLog3">
          <label class="k-checkbox-label w-100" for="tiempoComp">Tiempo Comp.</label>
          <input type="checkbox" id="noShows" class="k-checkbox" [checked]="" formControlName="lLog4">
          <label class="k-checkbox-label w-100" for="noShows">No Shows</label>
          <input type="checkbox" id="fallados" class="k-checkbox" [checked]="" formControlName="lLog5">
          <label class="k-checkbox-label w-100" for="fallados">Fallados</label>
          <input type="checkbox" id="fueraInv" class="k-checkbox" [checked]="" formControlName="lLog6">
          <label class="k-checkbox-label w-100" for="fueraInv">Fuera Inv.</label>
          <input type="checkbox" id="soloMarcado" class="k-checkbox" [checked]="" formControlName="lLog7">
          <label class="k-checkbox-label w-100" for="soloMarcado">Solo Marcado</label>
        </div>

        <div class="col-6 col-sm-3 col-md-3 col-lg-3 col-xl-2 form-group">
          <input type="checkbox" id="incluirForecast" class="k-checkbox" [checked]="" formControlName="lLog17">
          <label class="k-checkbox-label w-100" for="incluirForecast">Incluir Forecast</label>
          <input type="checkbox" id="incluirTodas" class="k-checkbox" [checked]="" formControlName="lLog18">
          <label class="k-checkbox-label w-100" for="incluirTodas">Incluir todas las agencias</label>
          <input type="checkbox" id="prodanual" class="k-checkbox" [checked]="true" formControlName="lLog8"
            *ngIf="ngForm.value.iInt1 == 2" disabled="true">
          <label class="k-checkbox-label w-100" for="prodanual" *ngIf="ngForm.value.iInt1 == 2">Producción Anual</label>
          <input *ngIf="ngForm.value.iInt1 == 1" type="checkbox" id="semanal" class="k-checkbox" [checked]="true"
            formControlName="lLog9">
          <label class="k-checkbox-label w-100" for="semanal">Semanal</label>
          <input type="checkbox" id="ingrsUpgrade" class="k-checkbox" [checked]="" formControlName="lLog10">
          <label class="k-checkbox-label w-100" for="ingrsUpgrade">Ingresos Upgrade</label>
          <input type="checkbox" id="inclsinage" class="k-checkbox" [checked]="" formControlName="lLog11">
          <label class="k-checkbox-label w-100" for="inclsinage">Incluir Sin Agencia</label>
          <input type="checkbox" id="ctrsreal" class="k-checkbox" [checked]="" formControlName="lLog12">
          <label class="k-checkbox-label w-100" for="ctrsreal">Cuartos Reales</label>
          <input type="checkbox" id="ingsinimp" class="k-checkbox" [checked]="" formControlName="lLog13">
          <label class="k-checkbox-label w-100" for="ingsinimp">Ing. Sin Impuestos</label>
          <input type="checkbox" id="inclajus" class="k-checkbox" [checked]="" formControlName="lLog14">
          <label class="k-checkbox-label w-100" for="inclajus">Incluir Ajustes</label>
          <input type="checkbox" id="incpresu" class="k-checkbox" [checked]="" formControlName="lLog15">
          <label class="k-checkbox-label w-100" for="incpresu">Inc. Presupuesto</label>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group" *ngIf="ngForm.value.lLog13">
          <label class="font-weight-bold">T. M.</label>
          <kendo-multiselect [data]="listTipoMov" formControlName="cChr15" [textField]="'cdesc'"
            [valueField]="'TM'" [valuePrimitive]="true">
          </kendo-multiselect>
        </div>

        <!-- <div class="col-sm-4 col-md-2 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <div *ngIf="ngForm.value.iInt1 == 1">
            <input type="checkbox" id="cuartospordia" class="k-checkbox" [checked]="" formControlName="lLog17"
              (change)="cuartosxdia($event)">
            <label class="k-checkbox-label w-100" for="cuartospordia">Cuartos por Día</label>
          </div>
          <div *ngIf="ngForm.value.iInt1 == 1">
            <input type="checkbox" id="ingrpordia" class="k-checkbox" [checked]="" formControlName="lLog18">
            <label class="k-checkbox-label w-100" for="ingrpordia">Ingresos por Día</label>
          </div>
          <div *ngIf="ngForm.value.iInt4 == 2 && ngForm.value.lLog17 == true && ngForm.value.iInt1 == 1">
            <input type="checkbox" id="detalladopordia" class="k-checkbox" [checked]="" formControlName="lLog19">
            <label class="k-checkbox-label w-100" for="detalladopordia">Detallado por Día</label>
          </div>
          <div *ngIf="ngForm.value.iInt1 == 2">
            <input type="checkbox" id="detaposmes" class="k-checkbox" [checked]="" formControlName="lLog20">
            <label class="k-checkbox-label w-100" for="detaposmes">Detallado por Mes</label>
          </div>
          <div *ngIf="ngForm.value.lLog20 == true">
            <input type="checkbox" id="solototales" class="k-checkbox" [checked]="" formControlName="lLog21">
            <label class="k-checkbox-label w-100" for="solototales">Solo Totales</label>
          </div>
        </div> -->
      </div>
      <div class="row d-flex justify-content-between">
        <div class="row-fluid col-5">
          <div class="row">
            <div class="form-group col-7">
              <label class="font-weight-bold">Moneda</label>
              <kendo-dropdownlist [data]="listMoneda" [textField]="'mdesc'" [valueField]="'Moneda'"
                [valuePrimitive]="true" formControlName="cChr2" class="w-100">
              </kendo-dropdownlist>
            </div>
            <div class="form-group col-5">
              <label class="font-weight-bold">Ing. Agrupado</label>
              <kendo-multiselect [data]="listAgrupado" formControlName="cChr13" [textField]="'iagrp'"
                [valueField]="'iagrp'" [valuePrimitive]="true">
              </kendo-multiselect>
            </div>
          </div>
          <div class="form-group">
            <label class="font-weight-bold">Tipo Cuarto</label>
            <kendo-multiselect [data]="listTipoCuarto" formControlName="cChr14" [textField]="'tcuarto'"
              [valueField]="'tcuarto'" [valuePrimitive]="true">
            </kendo-multiselect>
          </div>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <div *ngIf="ngForm.value.lLog15">
            <input type="checkbox" id="peranoant" class="k-checkbox" checked="" formControlName="lLog16">
            <label class="k-checkbox-label w-100" for="peranoant">Personas Año Anterior</label>

            <input type="radio" name="iInt4" formControlName="iInt4" value="1" id="porcuarto" class="k-radio">
            <label class="k-radio-label mr-2 w-100" for="porcuarto">Por Cuarto</label>
            <input type="radio" name="iInt4" formControlName="iInt4" value="2" id="poradulto" class="k-radio"
              [checked]="true">
            <label class="k-radio-label mr-2 w-100" for="poradulto">Por Adultos</label>
            <input type="radio" name="iInt4" formControlName="iInt4" value="3" id="poradultoplusjuniors"
              class="k-radio">
            <label class="k-radio-label mr-2 w-100" for="poradultoplusjuniors">Por Adultos + Juniors</label>
          </div>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Personas</label>
          <input type="checkbox" id="adultos" class="k-checkbox" checked="" formControlName="lLog19">
          <label class="k-checkbox-label w-100" for="adultos">Adultos</label>
          <input type="checkbox" id="juniors" class="k-checkbox" checked="" formControlName="lLog20">
          <label class="k-checkbox-label w-100" for="juniors">Juniors</label>
          <input type="checkbox" id="menores" class="k-checkbox" checked="" formControlName="lLog21">
          <label class="k-checkbox-label w-100" for="menores">Menores</label>
          <input type="checkbox" id="pagan" class="k-checkbox" checked="" formControlName="lLog22">
          <label class="k-checkbox-label w-100" for="pagan">Menores Pagan</label>
        </div>
        <div class="col-sm-4 col-md-2 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Producción Detallada</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="1" id="ninguno" class="k-radio"
            [checked]="true">
          <label class="k-radio-label mr-2 w-100" for="ninguno">Ninguno</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="2" id="tipodcuarto" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="tipodcuarto">Tipo de Cuarto</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="3" id="agrpallotment" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="agrpallotment">Agrupa Allotment</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="4" id="agrptarifa" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="agrptarifa">Agrupa Tarifa</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="5" id="ingragrp" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="ingragrp">Ingreso Agrupado</label>
        </div>
      </div>
    </form>

    <app-loading *ngIf="loading"> Buscando resultados...</app-loading>
  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-agencia (agencia)="getDataModal($event, 'age')" *ngIf="modalType === 'age'"></app-help-agencia>
    <app-help-agencia (agencia)="getDataModal($event, 'sag')" *ngIf="modalType === 'sag'"></app-help-agencia>
    <app-help-empresa (empresa)="getDataModal($event, 'emp')" *ngIf="modalType === 'emp'"></app-help-empresa>
    <app-help-segmentos (result)="getDataModal($event, 'seg')" *ngIf="modalType === 'seg'"></app-help-segmentos>
    <app-help-tipo-cuartos (result)="getDataModal($event, 'crt')" [virtual]="false" *ngIf="modalType === 'crt'">
    </app-help-tipo-cuartos>
    <app-help-tipo-movimientos (result)="getDataModal($event, 'tm')" *ngIf="modalType === 'tm'">
    </app-help-tipo-movimientos>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">Cerrar</button>
  </div>
</ng-template>
